summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorge Shapovalov <george@gentoo.org>2006-05-18 09:12:49 +0000
committerGeorge Shapovalov <george@gentoo.org>2006-05-18 09:12:49 +0000
commit5815ee70046ccf587a627ee075a6304dfdb3509b (patch)
tree340757e313db0c0881c79126beffcb208b29f7fc /eclass/gnat.eclass
parentAdded driver to portage. (diff)
downloadhistorical-5815ee70046ccf587a627ee075a6304dfdb3509b.tar.gz
historical-5815ee70046ccf587a627ee075a6304dfdb3509b.tar.bz2
historical-5815ee70046ccf587a627ee075a6304dfdb3509b.zip
passing active gnat profile to lib_* funcs now..
Diffstat (limited to 'eclass/gnat.eclass')
-rw-r--r--eclass/gnat.eclass9
1 files changed, 6 insertions, 3 deletions
diff --git a/eclass/gnat.eclass b/eclass/gnat.eclass
index 45776afc08ff..9d4f88c0a3e7 100644
--- a/eclass/gnat.eclass
+++ b/eclass/gnat.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnat.eclass,v 1.13 2006/05/12 13:34:36 george Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnat.eclass,v 1.14 2006/05/18 09:12:49 george Exp $
#
# This eclass provides the framework for ada lib installation with the split and
# SLOTted gnat compilers (gnat-xxx, gnatbuild.eclass). Each lib gets built once
@@ -163,6 +163,9 @@ lib_compile() {
# Use this function to build/install profile-specific binaries. The code
# building/installing common stuff (docs, etc) can go before/after, as needed,
# so that it is called only once..
+#
+# lib_compile and lib_install are passed the active gnat profile name - may be used or
+# discarded as needed..
gnat_src_compile() {
debug-print-function $FUNCNAME $*
@@ -188,9 +191,9 @@ gnat_src_compile() {
# call compilation callback
cd ${SL}
gnat_filter_flags ${compilers[${i}]}
- lib_compile
+ lib_compile ${compilers[${i}]} || die "failed compiling for ${compilers[${i}]}"
# call install callback
- lib_install
+ lib_install ${compilers[${i}]} || die "failed installing profile-specific part for ${compilers[${i}]}"
# move installed and cleanup
mv ${DL} ${DL}-${compilers[${i}]}
rm -rf ${SL}